## ripit 3.5.1

=== Makefile ===
VERSION = 3.5.1
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${DESTDIR}/etc/ripit

all:

clean:

install:
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -m 755 -o 0 ripit $(bindir)/ripit
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 ripit.1 $(mandir)
	$(INSTALL) -d -m 755 $(etcdir)
	$(INSTALL) -m 644 -o 0 config $(etcdir)

tarball:
	@cd .. && tar czvf ripit_$(VERSION).orig.tar.gz \
		ripit-$(VERSION)/{Makefile,README,ripit,ripit.1,config}

## ripit 3.6.0

=== Makefile ===
VERSION = 3.6.0
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${DESTDIR}/etc/ripit

all:

clean:

install:
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -m 755 -o 0 ripit.pl $(bindir)/ripit
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 ripit.1 $(mandir)
	$(INSTALL) -d -m 755 $(etcdir)
	$(INSTALL) -m 644 -o 0 config $(etcdir)

tarball:
	@cd .. && tar cvvfz ripit-$(VERSION).tar.gz ripit-$(VERSION)
	@cd .. && tar cvvfj ripit-$(VERSION).tar.bz2 ripit-$(VERSION)

rpm:   tarball
	@cd .. && cp ripit-$(VERSION).tar.* /usr/src/packages/SOURCES/
	rpmbuild -ba ripit.spec
	@mv /usr/src/packages/SRPMS/ripit-$(VERSION)-0.src.rpm \
	    /usr/src/packages/RPMS/noarch/ripit-$(VERSION)-0.noarch.rpm ..

## ripit 3.7.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-VERSION = 3.6.0
+VERSION = 3.7.0
+RELEASE = 3
 INSTALL = /usr/bin/install -c
 
 # Installation directories
@@ -22,10 +23,14 @@
 
 tarball:
 	@cd .. && tar cvvfz ripit-$(VERSION).tar.gz ripit-$(VERSION)
+	@cd .. && md5sum ripit-$(VERSION).tar.gz > ripit-$(VERSION).tar.gz.md5
 	@cd .. && tar cvvfj ripit-$(VERSION).tar.bz2 ripit-$(VERSION)
+	@cd .. && md5sum ripit-$(VERSION).tar.bz2 > ripit-$(VERSION).tar.bz2.md5
 
 rpm:   tarball
 	@cd .. && cp ripit-$(VERSION).tar.* /usr/src/packages/SOURCES/
 	rpmbuild -ba ripit.spec
-	@mv /usr/src/packages/SRPMS/ripit-$(VERSION)-0.src.rpm \
-	    /usr/src/packages/RPMS/noarch/ripit-$(VERSION)-0.noarch.rpm ..
+	@mv /usr/src/packages/SRPMS/ripit-$(VERSION)-$(RELEASE).src.rpm \
+	    /usr/src/packages/RPMS/noarch/ripit-$(VERSION)-$(RELEASE).noarch.rpm ..
+	@cd .. && md5sum ripit-$(VERSION)-$(RELEASE).src.rpm > ripit-$(VERSION)-$(RELEASE).src.rpm.md5
+	@cd .. && md5sum ripit-$(VERSION)-$(RELEASE).noarch.rpm > ripit-$(VERSION)-$(RELEASE).noarch.rpm.md5

## ripit 3.8.0

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
-VERSION = 3.7.0
-RELEASE = 3
+VERSION = 3.8.0
+RELEASE = 0
 INSTALL = /usr/bin/install -c
 
 # Installation directories
-prefix = ${DESTDIR}/usr
+prefix = /usr
 exec_prefix = ${prefix}
 mandir = ${prefix}/share/man/man1
-bindir = ${exec_prefix}/bin
-etcdir = ${DESTDIR}/etc/ripit
+bindir = ${exec_prefix}/local/bin
+etcdir = /etc/ripit
 
 all:

## ripit 3.9.0

=== Makefile ===
VERSION = 3.9.0
RELEASE = 0
INSTALL = /usr/bin/install -c

# Installation directories
prefix = $(DESTDIR)/usr/local
exec_prefix = ${prefix}
mandir = ${prefix}/share/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${prefix}/../../etc/ripit

all:

clean:

install:
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -m 755 ripit.pl $(bindir)/ripit
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 ripit.1 $(mandir)
	$(INSTALL) -d -m 755 $(etcdir)
	$(INSTALL) -b -m 644 config $(etcdir)

tarball:
	@cd .. && tar cvvfz ripit-$(VERSION).tar.gz ripit-$(VERSION)
	@cd .. && md5sum ripit-$(VERSION).tar.gz > ripit-$(VERSION).tar.gz.md5
	@cd .. && tar cvvfj ripit-$(VERSION).tar.bz2 ripit-$(VERSION)
	@cd .. && md5sum ripit-$(VERSION).tar.bz2 > ripit-$(VERSION).tar.bz2.md5

rpm:    tarball
	@cd .. && cp ripit-$(VERSION).tar.* /usr/src/packages/SOURCES/
	rpmbuild -ba --sign ripit.spec
	@mv /usr/src/packages/SRPMS/ripit-$(VERSION)-$(RELEASE).src.rpm \
	    /usr/src/packages/RPMS/noarch/ripit-$(VERSION)-$(RELEASE).noarch.rpm ..

myrpm:	tarball
	rpmbuild --sign -ta ../ripit-$(VERSION).tar.gz

=== debian/changelog ===
ripit (3.9.0-2ubuntu1) trusty; urgency=medium

  * Drop optional ffmpeg depends. Needs porting to libav-utils.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Dec 2013 20:23:36 +0000

ripit (3.9.0-2) unstable; urgency=low

  * Upload to unstable
  * Bumped standard to 3.9.2. No changes.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 26 Apr 2011 12:15:33 +0200

ripit (3.9.0-1) experimental; urgency=low

  * New stable upstream release. (Closes: 590946)
    - Fixed bug when using relative paths. (Closes: 575642)
  * Switched to source 3.0 (quilt)
  * debian/control:
    - Mention Musicbrainz support in long description. Thanks Martin Michlmayr.
      (Closes: 555701)
    - Added $(misc:Depends) to source.
    - "cd" is an acronym and must always be capitalized as "CD".
      Thanks Filipus Klutiero. (Closes: 568685)
    - Added icedax as an alternative to the wav rippers in Depends:
    - Bumped standard to 3.9.1. No changes.
    - Added libmusicbrainz-discid-perl to Depends. (closes: 575634)
    - wavpack and ffmpeg are now supported as encoders. Added to Depends.
  * Added DEP-3 patch headers.
  * Introduced dpp_5.1.patch. According to DPP 5.1 all perl programs must
    start with #!/usr/bin/perl.
  * Introduced ripit.1.patch to correct a typo and a hyphen use.
  * Dropped makefile.patch. Use respective invocations in rules instead.
  * Make use of dh_install to make sure ${perl:Depends} is generated
    automatically.
  * Reworked copyright. Taken over the copyright from the ripit.pl script.
  * Thanks to Al Nikolov for some inspirations for optimizing the Debian
    packaging.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 25 Sep 2010 17:34:46 +0200

ripit (3.8.0-1) unstable; urgency=low

  * New stable upstream release.
    - several spelling errors fixed (Closes: 537467)
    - determining the genre a wrong way fixed. (Closes: 548296)
  * debian/control: Changed Homepage: to the correct link (Closes: 550491)
  * Added libwebservice-musicbrainz-perl to Depends. MusicBrainz now supported
    with --mb commandline option.
  * Skipping manpage.patch: "escapes "-" to "\-" to be interpreted as minus by
    groff in ripit's manpage" Done upstream.
  * Introduced makefile.patch as we install ripit in ${DESTDIR}.
  * Bumped standard 3.8.3. No changes.
  * Added Readme.source
  * Removed Jesus Climent from Uploaders

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 10 Oct 2009 16:38:38 +0200

ripit (3.7.0-1) unstable; urgency=low

  * New stable upstream release.
  * Reorganized debian/rules:
    - Removed configure-stamp. Make build-stamp depend on $(QUILT_STAMPFN)
      instead.
    - Removed deletion of .pc in clean target. This is done by dh_clean.
    - Replaced dh_clean -k with dh_prep
  * Added a missing blank at the Homepage field in control.
  * Bumped compat level to 7.
  * Make lintian happy, Thanks to Mauro Lizaur for the hints:
    - Added a watch file.
    - Enhanced patches with descriptions.
    - Introduced manpage.patch to make sure groff interprets "-" as minus. This
      is done by escaping "-" in ripit's manpage.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 21 May 2009 15:36:52 +0200

ripit (3.7.0~beta20090329-1) unstable; urgency=low

  * New beta upstream (Closes: #501925, #490082, #517561)
  * Added Homepage field to control.
  * Bumped standard 3.8.1. No changes.
  * Added quilt patch environment.
  * /etc/ripit/config patched to use normalize-audio as default normcmd.
    - Added normalize-audio to Depends of ripit.
    - (Closes: #518720)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 07 Apr 2009 09:29:46 +0200

ripit (3.6.0-1) unstable; urgency=low

  * New upstream release. (Closes: #389262)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 18 Jun 2007 20:38:54 +0200

ripit (3.5.1-1) unstable; urgency=low

  * Initial release (Closes: #342039)
  * Upload sponsored by Jesus Climent, thanks.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 16 Jun 2006 17:03:10 +0200

=== debian/control ===
Source: ripit
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7.0.0)
Homepage: http://www.suwald.com/ripit/news.php

Package: ripit
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwww-perl, libcddb-get-perl,
         cdparanoia | cdda2wav | icedax,
         vorbis-tools (>= 1.0beta4-1) | lame | flac | bladeenc | faac | wavpack,
         normalize-audio,
         libwebservice-musicbrainz-perl,
         libmusicbrainz-discid-perl
Suggests: eject, id3 (>= 0.12), id3v2
Description: Textbased audio CD ripper
 ripit runs in text mode (no fancy GUI here) and does everything required to
 produce a set of mp3, ogg, flac, m4a files without any user-intervention.
 .
 ripit does the following with an Audio CD:
  - Get the audio CD Album/Artist/Tracks information from CDDB
  - Get the audio CD Album/Artist/Tracks information from Musicbrainz
  - Rip the audio CD Tracks (using cdparanoia or other cdrippers)
  - Encode the files (using lame, oggvorbis flac and/or faac)
  - ID3 tag them (v1 & v2)
  - Optional: creates a playlist (M3U) file (lists MP3s created,
    used by various MP3 players)
  - Optional: Prepares and sends a CDDB submission.
  - Optional: Saves the CDDB file.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/quilt/quilt.make

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	rm -rf .pc
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/ripit.
	$(MAKE) install prefix=$(CURDIR)/debian/ripit/usr \
	etcdir=$(CURDIR)/debian/ripit/etc/ripit
	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs HISTORY
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://www.suwald.com/ripit/install.php? \
http://suwald.com/ripit/ripit-([\d\.]+)\.tar\.gz

## ripit 4.0.0~beta20140508

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-VERSION = 3.9.0
+# No hyphens allowed in version numbers.
+VERSION = 4.0.0_beta20140508
 RELEASE = 0
 INSTALL = /usr/bin/install -c
 
@@ -28,10 +29,14 @@
 	@cd .. && md5sum ripit-$(VERSION).tar.bz2 > ripit-$(VERSION).tar.bz2.md5
 
 rpm:    tarball
-	@cd .. && cp ripit-$(VERSION).tar.* /usr/src/packages/SOURCES/
+	@cp ../ripit-$(VERSION).tar.* $(HOME)/rpmbuild/SOURCES/
+	@sudo cp ../ripit-$(VERSION).tar.* /usr/src/packages/SOURCES/
 	rpmbuild -ba --sign ripit.spec
-	@mv /usr/src/packages/SRPMS/ripit-$(VERSION)-$(RELEASE).src.rpm \
-	    /usr/src/packages/RPMS/noarch/ripit-$(VERSION)-$(RELEASE).noarch.rpm ..
+	@mv $(HOME)/rpmbuild/SRPMS/ripit-$(VERSION)-$(RELEASE).src.rpm \
+	    $(HOME)/rpmbuild/RPMS/noarch/ripit-$(VERSION)-$(RELEASE).noarch.rpm ..
+# 	@mv /usr/src/packages/SRPMS/ripit-$(VERSION)-$(RELEASE).src.rpm \
+# 	    /usr/src/packages/RPMS/noarch/ripit-$(VERSION)-$(RELEASE).noarch.rpm ..
+
 
 myrpm:	tarball
 	rpmbuild --sign -ta ../ripit-$(VERSION).tar.gz

=== debian/changelog ===
ripit (4.0.0~beta20140508-1) unstable; urgency=medium

  * New upstream beta version.
  * Should handle double discs with MusicBrainz (Closes: 639385).
  * Make depend on libmp3-tag-perl (Closes: 715339).
  * Add exim4 | mail-transport-agent to Suggests (Closes: 756139).
  * Option --ghost tries to trim lead-in/out. Hopefully closes: 435779.
  * Switched to dh9 in debian/rules.
  * Adjusted copyright to copyright-format/1.0.
  * Remove debian/source/options.
  * Updated man-spellfix.patch.
  * Corrected URL in the watch file.
  * Adjusted debian/control.
  * Bumped standard to 3.9.7. No changes.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 01 Mar 2016 10:36:35 +0100

=== debian/control ===
Source: ripit
Section: sound
Priority: optional
Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9.0.0)
Homepage: http://www.suwald.com/ripit/news.php

Package: ripit
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
         libwww-perl,
         libcddb-get-perl,
         libxml-simple-perl,
         libdigest-md5-file-perl,
         libunicode-utf8-perl,
         libtext-unidecode-perl,
         libmime-base64-urlsafe-perl,
         libwebservice-musicbrainz-perl,
         libmusicbrainz-discid-perl,
         libmp3-tag-perl,
         cdparanoia | cdda2wav | icedax,
         vorbis-tools | lame | flac | bladeenc | faac | wavpack | ffmpeg,
         normalize-audio
Recommends: exim4 | mail-transport-agent
Suggests: eject, id3, id3v2
Description: Textbased audio CD ripper
 ripit runs in text mode (no fancy GUI here) and does everything required to
 produce a set of mp3, ogg, flac, m4a files without any user-intervention.
 .
 ripit does the following with an Audio CD:
  - Get the audio CD Album/Artist/Tracks information from CDDB
  - Get the audio CD Album/Artist/Tracks information from Musicbrainz
  - Rip the audio CD Tracks (using cdparanoia or other cdrippers)
  - Encode the files (using lame, oggvorbis flac and/or faac)
  - ID3 tag them (v1 & v2)
  - Optional: creates a playlist (M3U) file (lists MP3s created,
    used by various MP3 players)
  - Optional: Prepares and sends a CDDB submission.
  - Optional: Saves the CDDB file.

=== debian/watch ===
version=3

http://suwald.com/ripit	ripit-(.*)\.tar\.gz	debian	uupdate

## ripit 4.0.0~rc20161009

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # No hyphens allowed in version numbers.
-VERSION = 4.0.0_beta20140508
+VERSION = 4.0.0_rc_20161009
 RELEASE = 0
 INSTALL = /usr/bin/install -c

=== debian/changelog ===
ripit (4.0.0~rc20161009-1) unstable; urgency=medium

  * New upstream release candidate.
  * New upstream homepage http://www.ripit.pl/ripit/news.php.
    (Closes: #965369)
  * Use gnudb instead of freedb in config. Thanks to Gregor Horvath.
    (Closes: #965232)
  * Bump debhelper compatibility level to 13.
    + Replace debian/compat with a versioned b-d on debhelper-compat.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Refresh patches as needed.
  * Remove trailing whitespace from changelog.
  * Added VCS-(Browser|Git) and Rules-Requires-Root=no to debian/control.
  * Replaced exim4 with default-mta in Recommends:
  * Introduced 0001-Fixed-more-typos-in-ripit.1.patch
  * Added gbp.conf.
  * Added NEWS to point to new gnudb CDDB database.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 21 Jul 2020 11:12:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: sound
 Priority: optional
 Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9.0.0)
-Homepage: http://www.suwald.com/ripit/news.php
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Homepage: http://www.ripit.pl/ripit/news.php
+Vcs-Browser: https://salsa.debian.org/riesebie/ripit
+Vcs-Git: https://salsa.debian.org/riesebie/ripit.git
+Rules-Requires-Root: no
 
 Package: ripit
 Architecture: all
@@ -22,7 +25,7 @@
          cdparanoia | cdda2wav | icedax,
          vorbis-tools | lame | flac | bladeenc | faac | wavpack | ffmpeg,
          normalize-audio
-Recommends: exim4 | mail-transport-agent
+Recommends: default-mta | mail-transport-agent
 Suggests: eject, id3, id3v2
 Description: Textbased audio CD ripper
  ripit runs in text mode (no fancy GUI here) and does everything required to

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/ripit/usr \
	etcdir=$(CURDIR)/debian/ripit/etc/ripit

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

=== debian/watch ===
version=3

http://ripit.pl/ripit	ripit-(.*)\.tar\.gz	debian	uupdate
